#A simple MG database build based on the example shown in the man page for mg_passes.

import os
import sys

# The source of the text
inputFiles = "h:\\myMg\\inputFiles\\alice13a.txt h:\\myMg\\inputFiles\\test1.txt h:\\myMg\\inputFiles\\test2.txt h:\\myMg\\inputFiles\\test3.txt h:\\myMg\\inputFiles\\test4.txt"

# The name of the collection
collectionBaseName = "alice"

# The directory which holds the collections
collectionsDirectory = "h:\\myMg\\collections\\alice\\"

# Create *.text.stats, *.invf.dict.build,
# *.invf.chunk and *.invf.chunks.trans
os.system("mg_passes -T1 -N1 -m 1 -t 1 -d " + collectionsDirectory + " -f " + collectionBaseName + " " + inputFiles)

# Create *.text.dict
os.system("mg_compression_dict -d " + collectionsDirectory + " -f " + collectionBaseName)

# Create *.invf.dict.hash
os.system("mg_perf_hash_build -d " + collectionsDirectory + " -f " + collectionBaseName)

# Create *.text, *.text.idx, *.invf and *.invf.idx
os.system("mg_passes -T2 -N2 -c 2 -t 1 -d " + collectionsDirectory + " -f " + collectionBaseName + " " + inputFiles)

# Create *.text.idx.wgt and *.weight.approx
os.system("mg_weights_build -d " + collectionsDirectory + " -f " + collectionBaseName + " -b 8")

# Create *.invf.dict
os.system("mg_invf_dict -d " + collectionsDirectory + " -f " + collectionBaseName + " -b 4096")

# Create *.text.dict
os.system("mg_fast_comp_dict -d " + collectionsDirectory + " -f " + collectionBaseName)


